﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightLayout
{
	public class MyTextBox : TextBox
	{
		public MyTextBox() :
			base()
		{
			this.DefaultStyleKey = typeof(MyTextBox);
		}

		protected override Size ArrangeOverride(Size arrangeBounds)
		{
			System.Diagnostics.Debug.WriteLine(string.Format("o {0} : {1} - {2}", this.Name, arrangeBounds.ToString(), DateTime.Now.Ticks));
			Size size = base.ArrangeOverride(arrangeBounds);
			System.Diagnostics.Debug.WriteLine(string.Format("n {0} : {1} - {2}", this.Name, size.ToString(), DateTime.Now.Ticks));
			return size;
		}
	}
}
